## electrum 4.5.8+ds

=== contrib/deterministic-build/requirements.txt ===
aiohttp==3.9.3 \
    --hash=sha256:90842933e5d1ff760fae6caca4b2b3edba53ba8f4b71e95dacf2818a2aca06f7
aiohttp-socks==0.8.4 \
    --hash=sha256:6b611d4ce838e9cf2c2fed5e0dba447cc84824a6cba95dc5747606201da46cb4
aiorpcX==0.23.1 \
    --hash=sha256:5b23002f1a4d5d3085e31555a07519c5ef8d4c40071eb499556ffda8114860a2
aiosignal==1.3.1 \
    --hash=sha256:54cd96e15e1649b75d6c87526a6ff0b6c1b0dd3459f43d9ca11d48c339b68cfc
async-timeout==4.0.3 \
    --hash=sha256:4640d96be84d82d02ed59ea2b7105a0f7b33abe8703703cd0ab0bf87c427522f
attrs==22.1.0 \
    --hash=sha256:29adc2665447e5191d0e7c568fde78b21f9672d344281d0c6e1ab085429b22b6
certifi==2024.2.2 \
    --hash=sha256:0569859f95fc761b18b45ef421b1290a0f65f147e92a1e5eb3e635f9a5e4e66f
dnspython==2.2.1 \
    --hash=sha256:0f7569a4a6ff151958b64304071d370daa3243d15941a7beedf0c9fe5105603e
frozenlist==1.3.3 \
    --hash=sha256:58bcc55721e8a90b88332d6cd441261ebb22342e238296bb330968952fbb3a6a
idna==3.6 \
    --hash=sha256:9ecdbbd083b06798ae1e86adcbfe8ab1479cf864e4ee30fe4e46a003d12491ca
jsonpatch==1.33 \
    --hash=sha256:9fcd4009c41e6d12348b4a0ff2563ba56a2923a7dfee731d004e212e1ee5030c
jsonpointer==2.4 \
    --hash=sha256:585cee82b70211fa9e6043b7bb89db6e1aa49524340dde8ad6b63206ea689d88
multidict==6.0.5 \
    --hash=sha256:f7e301075edaf50500f0b341543c41194d8df3ae5caf4702f2095f3ca73dd8da
packaging==23.2 \
    --hash=sha256:048fb0e9405036518eaaf48a55953c750c11e1a1b68e0dd1a9d62ed0c092cfc5
pip==22.3.1 \
    --hash=sha256:65fd48317359f3af8e593943e6ae1506b66325085ea64b706a998c6e83eeaf38
protobuf==3.20.3 \
    --hash=sha256:2e3427429c9cffebf259491be0af70189607f365c2f41c7c3764af6f337105f2
python-socks==2.4.4 \
    --hash=sha256:e5a8e4f78203612c813946feacd87b98943965a04389fe221fa1e9ab263ad22e
QDarkStyle==3.2.3 \
    --hash=sha256:0c0b7f74a6e92121008992b369bab60468157db1c02cd30d64a5e9a3b402f1ae
qrcode==7.3.1 \
    --hash=sha256:375a6ff240ca9bd41adc070428b5dfc1dcfbb0f2507f1ac848f6cded38956578
QtPy==2.4.1 \
    --hash=sha256:a5a15ffd519550a1361bdc56ffc07fda56a6af7292f17c7b395d4083af632987
setuptools==65.5.1 \
    --hash=sha256:e197a19aa8ec9722928f2206f8de752def0e4c9fc6953527360d1c36d94ddb2f
wheel==0.38.4 \
    --hash=sha256:965f5259b566725405b05e7cf774052044b1ed30119b5d586b2703aafe8719ac
yarl==1.8.2 \
    --hash=sha256:49d43402c6e3013ad0978602bf6bf5328535c48d192304b91b97a3c6790b1562

=== contrib/requirements/requirements.txt ===
qrcode
protobuf>=3.20,<4
qdarkstyle>=2.7
aiorpcx>=0.22.0,<0.24
aiohttp>=3.3.0,<4.0.0
aiohttp_socks>=0.8.4
certifi
attrs>=20.1.0
jsonpatch

# Note that we also need the dnspython[DNSSEC] extra which pulls in cryptography,
# but as that is not pure-python it cannot be listed in this file!
dnspython>=2.0

=== debian/changelog ===
electrum (4.5.8+ds-8) unstable; urgency=medium

  * debian/patches/python3-aiorpcx.patch:  Bump maximum version to 26
    (closes: #1111636).

 -- Soren Stoutner <soren@debian.org>  Thu, 21 Aug 2025 10:21:27 -0700

electrum (4.5.8+ds-7) unstable; urgency=medium

  * Remove superfluous debian/source/options.
  * debian/control:
    - Remove unneeded build-depends on devscripts (closes: #1110284).
    - Remove recommends of python3-cbor for the electrum binary package.
    - Add suggests for python3-cbor2, python3-hid, python3-serial for the binary
      packages to support hardware wallets.
    - Rename ${libdep} to ${libsecp256k1dep} to be more explicit.
  * debian/README.Debian:  Improve documentation regarding hardware wallets.
  * debian/rules:
    - Rename -Vlibdep to -Vlibsecp256k1dep to be more explicit.
    - Remove obsolete "Rules-Requires-Root: no".
    - Remove the unneeded DEB_COPYRIGHT_CHECK_IGNORE_REGEX.
  * debian/upstream/metadata:  Standardize formatting.
  * debian/watch:  Improve readability of download version number code.

 -- Soren Stoutner <soren@debian.org>  Tue, 12 Aug 2025 12:02:01 -0700

electrum (4.5.8+ds-6) unstable; urgency=high

  * Add debian/patches/python3-aiorpcx.patch to allow running with version >=
    0.24 (Closes: #1102609).
  * debian/control:  Bump standards version to 4.7.2, no changes needed.

 -- Soren Stoutner <soren@debian.org>  Fri, 11 Apr 2025 10:36:08 -0700

electrum (4.5.8+ds-5) unstable; urgency=medium

  * debian/control:
    - Add suggests on electrum to python3-electrum.
    - Bump standards version to 4.7.1, no changes needed.

 -- Soren Stoutner <soren@debian.org>  Mon, 24 Feb 2025 16:10:26 -0700

electrum (4.5.8+ds-4) unstable; urgency=medium

  * Remove debian/patches/Improve-message-about-PyQt5.patch, no longer
    applicable.
  * Add debian/lrc.config.
  * Add debian/salsa-ci.yml with recommended default contents.
  * debian/control:
    - Add depends on python3-pyqt5 for the electrum package, thanks to Mladen
      Mijatov <meaneye.rcf@gmail.com> (Closes: #1098430).
    - Move most of the build-depends to build-depends-indep.
  * debian/copyright:
    - Update to reflect new and removed files.
    - Clarify stanzas for the vendored programs.
    - Add 2025 to copyright year for myself.
  * debian/electrum.1:  Update license in header to be Expat or GPLv3+.
  * debian/python3-electrum.links:  Add leading slashes for readability.

 -- Soren Stoutner <soren@debian.org>  Thu, 20 Feb 2025 18:35:00 -0700

electrum (4.5.8+ds-3) unstable; urgency=medium

  * debian/control:
    - Move python3-cbor and python3-matplotlib from Depends to
      Recommends in the python3-electrum package as they are not required for
      basic functionality to work.
    - Move python3-zbar from Suggests to Recommends in the python3-electrum
      package as it is required for scanning barcodes.

 -- Soren Stoutner <soren@debian.org>  Wed, 06 Nov 2024 23:36:50 -0700

electrum (4.5.8+ds-2) unstable; urgency=medium

  * debian/control:
    - Remove Recommends on python3-qdarkstyle as it is already handled by a
      Depends.
    - Add Depends on python3-matplotlib, which is required to plot the
      transaction history.
  * debian/electrum.docs:  Add a comment explaining the purpose.
  * debian/electrum.install:
    - Install all the available icons sizes to /usr/share/icons/hicolor/.
    - Improve the comments.
  * debian/electrum.manpages:  Add a comment explaining the purpose.
  * debian/python3-electrum.docs:  Add a comment explaining the purpose.
  * debian/python3-electrum.install:  Add a comment explain the purpose.

 -- Soren Stoutner <soren@debian.org>  Mon, 04 Nov 2024 11:12:26 -0700

electrum (4.5.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-Depend on "python3-pytest <!nocheck>".
    - Add "Testsuite: autopkgtest-pkg-pybuild".
  * debian/copyright:  Replace SourceSansPro-Bold.otf with SourceSans3-Bold.otf
    in Files-Excluded.
  * debian/patches:  Remove Use-fonts-adobe-sourcesans3.patch, applied upstream.
  * debian/rules:
    - Exclude tests that don't apply to the Debian build.
    - Remove the obsolete deletion of qdarkstyle from requires.txt.
    - Remove superfluous colons.
  * debian/watch:  Change the repack suffix from +dfsg to +ds, as the things
    that are currently being removed are all DFSG-free.

 -- Soren Stoutner <soren@debian.org>  Thu, 31 Oct 2024 13:01:39 -0700

electrum (4.5.5+dfsg-4) unstable; urgency=medium

  * Add electrum.docs to install the upstream README.md.
  * Add python3-electrum.docs to install the upstream README.md and
    debian/README.Debian.
  * debian/control:
    - Switch Build-Depends from python3-trezor to trezor to pickup the trezorctl
      binary.
    - Remove unneeded Build-Depend on python3-ecdsa.
    - Update Build-Depends version constraints.
  * debian/copyright:  Update for new files and reformat for readability.
  * debian/rules:  Remove unnecessary README.md files.

 -- Soren Stoutner <soren@debian.org>  Mon, 07 Oct 2024 13:57:46 -0700

electrum (4.5.5+dfsg-3) unstable; urgency=medium

  * debian/control: Unify suggests for electrum and python3-electrum.

 -- Soren Stoutner <soren@debian.org>  Tue, 01 Oct 2024 15:11:26 -0700

electrum (4.5.5+dfsg-2) unstable; urgency=medium

  * Add debian/patches/Use-fonts-adobe-sourcesans3.patch
  * debian/control: Suggest fonts-adobe-sourcesans3.
  * debian/README.debian: Document the purpose of fonts-adobe-sourcesans3.

 -- Soren Stoutner <soren@debian.org>  Mon, 09 Sep 2024 15:17:54 -0700

electrum (4.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Switch build-depends from python-cbor to python-cbor2.
    - Bump standards-version to 4.7.0 (no changes).
  * debian/copyright:  Update the copyright year and email address for my
    upstream contributions.
  * debian/electrum.1:  Update date and version.


=== debian/control ===
Source: electrum
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
Section: utils
Priority: optional
# libsecp256k1-dev is used to speed up elliptic curve operations.
# protobuf-compiler is used to compile paymentrequest_pb2.py.
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
Build-Depends-Indep: libsecp256k1-dev,
                     protobuf-compiler,
                     pyqt5-dev-tools,
                     python3,
                     python3-aiohttp,
                     python3-aiohttp-socks (>= 0.8.4),
                     python3-aiorpcx,
                     python3-attr,
                     python3-bitstring,
                     python3-cbor2,
                     python3-certifi,
                     python3-cryptography,
                     python3-dnspython,
                     python3-jsonpatch,
                     python3-pbkdf2,
                     python3-protobuf (>= 3.20),
                     python3-pyaes,
                     python3-pycryptodome,
                     python3-pyqt5.qtmultimedia,
                     python3-pyqt6,
                     python3-pyqt6.qtmultimedia,
                     python3-pyqt6.qtquick,
                     python3-qrcode,
                     python3-serial,
                     python3-setuptools,
                     python3-pytest <!nocheck>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
Homepage: https://electrum.org/
Testsuite: autopkgtest-pkg-pybuild

Package: electrum
Architecture: all
Depends: python3-electrum (= ${binary:Version}),
         python3-pyqt5,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pyqt6
# fonts-adobe-sourcesans3 provides SourceSans3, which replaces the excluded electrum/plugins/revealer/SourceSansPro-Bold.otf.  It is only used by the Revealer plugin.
# fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.  It is only used by the Revealer plugin.
# python3-btchip is used by legacy Ledger hardware wallets.
# python3-cbor2 is ued by Jade hardware wallets.
# python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
# python3-serial is ued by Jade hareware wallets.
# trezor is used by Trezor hardware wallets.
Suggests: fonts-adobe-sourcesans3,
          fonts-dejavu-core,
          python3-btchip,
          python3-cbor2,
          python3-hid,
          python3-serial,
          trezor
Description: Easy to use Bitcoin client
 This package provides a lightweight Bitcoin client which protects
 you from losing your bitcoins in a backup mistake or computer
 failure. Also, Electrum does not require waiting time because it does
 not download the Bitcoin blockchain.
 .
 Features of Electrum:
 .
   * Instant on: Your client does not download the blockchain. It uses a
     network of specialized servers that index the blockchain.
   * Forgiving: Your wallet can be recovered from a secret seed.
   * Safe: Your seed and private keys are encrypted on your hard drive.
     They are never sent to the servers.
   * Low trust: Information received from the servers is verified using
     SPV. Servers are authenticated using SSL.
   * No downtimes: Your client is not tied to a particular server; it
     will switch instantly if your server is down.
   * Ubiquitous: You can use the same wallet on different computers, they
     will synchronize automatically.
   * Cold Storage: Sign transactions from a computer that is always
     offline. Broadcast them using a machine that does not have your keys.
   * Reachable: You can export your private keys into other Bitcoin
     clients.
   * Established: Electrum is open source and was first released in
     November 2011.

Package: python3-electrum
Architecture: all
Section: python
Depends: libjs-jquery,
         libjs-jquery-ui,
         libjs-jquery-ui-theme-ui-lightness,
         node-qrcode-generator,
         python3-cryptography,
         ${libsecp256k1dep},
         ${misc:Depends},
         ${python3:Depends}
# python3-matplotlib is required to plot the transaction history.
# python3-zbar handles barcode scanning.
Recommends: python3-matplotlib,
            python3-zbar
# fonts-adobe-sourcesans3 provides SourceSans3, which replaces the excluded electrum/plugins/revealer/SourceSansPro-Bold.otf.
# fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.
# python3-btchip is used by legacy Ledger hardware wallets.
# python3-cbor2 is ued by Jade hardware wallets.
# python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
# python3-serial is ued by Jade hareware wallets.
# trezor is used by Trezor hardware wallets.
Suggests: electrum,
          fonts-adobe-sourcesans3,
          fonts-dejavu-core,
          python3-btchip,
          python3-cbor2,
          python3-hid,
          python3-serial,
          trezor
Description: Easy to use Bitcoin client - Python module
 This package provides a lightweight Bitcoin client which protects
 you from losing your bitcoins in a backup mistake or computer
 failure. Also, Electrum does not require waiting time because it does
 not download the Bitcoin blockchain.
 .
 This package provides the "electrum" Python module which can be used to access
 a Bitcoin wallet from Python programs.

=== debian/rules ===
#!/usr/bin/make -f

# Ignore tests that don't apply to the Debian packaging.
# test_qml_types.py is used for testing the QML Android GUI.
export PYBUILD_TEST_ARGS = --ignore tests/test_qml_types.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	# Generate paymentrequest_pb2.py from paymentrequest.proto.
	contrib/generate_payreqpb2.sh

override_dh_installchangelogs:
	# Move RELEASE-NOTES to changelog.
	dh_installchangelogs RELEASE-NOTES

execute_after_dh_auto_install:
	# Remove redundant license files whose information has been copied to debian/copyright.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/distutils/LICENSE
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/LICENSE.txt
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/LICENCE

	# Remove the unnecessary plugin README files.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/lnwire/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/README
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/coldcard/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/jade/jadepy/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/README.md

	# Remove QML, which is only used for Android.
	rm -r debian/tmp/usr/lib/python3*/dist-packages/electrum/gui/qml/

	# Remove a payserver file to correct for an upstream tarball packaging problem.  <https://github.com/spesmilo/electrum/issues/8030>
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/pay

	# Remove upstream cruft.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/.editorconfig
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/payserver/www/.gitignore

	# Remove bundled executable in the python directory.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/electrum

override_dh_gencontrol:
	# Add the correct library package to python3-electrum's depends.
	dh_gencontrol -- -Vlibsecp256k1dep="$(shell dpkg-query -f '$${Depends}' -W libsecp256k1-dev | grep -oE 'libsecp256k1-\S+')"

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,pgpsigurlmangle=s/$/.ThomasV.asc/ \
    https://download.electrum.org/@ANY_VERSION@/Electrum-sourceonly-@ANY_VERSION@\.tar\.gz

## electrum 4.6.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,14 @@
 Uploaders: Soren Stoutner <soren@debian.org>
 Section: utils
 Priority: optional
-# libsecp256k1-dev is used to speed up elliptic curve operations.
-# protobuf-compiler is used to compile paymentrequest_pb2.py.
+# libprotobuf-dev and protobuf-compiler is used to compile protobuf files.
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-Build-Depends-Indep: libsecp256k1-dev,
+               dh-sequence-python3
+Build-Depends-Indep: libprotobuf-dev,
                      protobuf-compiler,
-                     pyqt5-dev-tools,
                      python3,
                      python3-aiohttp,
-                     python3-aiohttp-socks (>= 0.8.4),
+                     python3-aiohttp-socks,
                      python3-aiorpcx,
                      python3-attr,
                      python3-bitstring,
@@ -20,42 +18,37 @@
                      python3-certifi,
                      python3-cryptography,
                      python3-dnspython,
+                     python3-electrum-aionostr,
+                     python3-electrum-ecc,
                      python3-jsonpatch,
                      python3-pbkdf2,
-                     python3-protobuf (>= 3.20),
+                     python3-protobuf,
                      python3-pyaes,
                      python3-pycryptodome,
-                     python3-pyqt5.qtmultimedia,
-                     python3-pyqt6,
-                     python3-pyqt6.qtmultimedia,
-                     python3-pyqt6.qtquick,
                      python3-qrcode,
                      python3-serial,
                      python3-setuptools,
                      python3-pytest <!nocheck>
-Standards-Version: 4.7.2
+Homepage: https://electrum.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
-Homepage: https://electrum.org/
 Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.7.2
 
 Package: electrum
 Architecture: all
 Depends: python3-electrum (= ${binary:Version}),
-         python3-pyqt5,
+         python3-pyqt6,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-pyqt6
 # fonts-adobe-sourcesans3 provides SourceSans3, which replaces the excluded electrum/plugins/revealer/SourceSansPro-Bold.otf.  It is only used by the Revealer plugin.
 # fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.  It is only used by the Revealer plugin.
-# python3-btchip is used by legacy Ledger hardware wallets.
 # python3-cbor2 is ued by Jade hardware wallets.
 # python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
 # python3-serial is ued by Jade hareware wallets.
 # trezor is used by Trezor hardware wallets.
 Suggests: fonts-adobe-sourcesans3,
           fonts-dejavu-core,
-          python3-btchip,
           python3-cbor2,
           python3-hid,
           python3-serial,
@@ -94,7 +87,6 @@
          libjs-jquery-ui-theme-ui-lightness,
          node-qrcode-generator,
          python3-cryptography,
-         ${libsecp256k1dep},
          ${misc:Depends},
          ${python3:Depends}
 # python3-matplotlib is required to plot the transaction history.
@@ -103,7 +95,6 @@
             python3-zbar
 # fonts-adobe-sourcesans3 provides SourceSans3, which replaces the excluded electrum/plugins/revealer/SourceSansPro-Bold.otf.
 # fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.
-# python3-btchip is used by legacy Ledger hardware wallets.
 # python3-cbor2 is ued by Jade hardware wallets.
 # python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
 # python3-serial is ued by Jade hareware wallets.
@@ -111,7 +102,6 @@
 Suggests: electrum,
           fonts-adobe-sourcesans3,
           fonts-dejavu-core,
-          python3-btchip,
           python3-cbor2,
           python3-hid,
           python3-serial,

## electrum 4.6.2+dfsg

=== contrib/deterministic-build/requirements.txt ===
aiohappyeyeballs==2.6.1 \
    --hash=sha256:c3f9d0113123803ccadfdf3f0faa505bc78e6a72d1cc4806cbd719826e943558
aiohttp==3.12.9 \
    --hash=sha256:2c9914c8914ff40b68c6e4ed5da33e88d4e8f368fddd03ceb0eb3175905ca782
aiohttp-socks==0.10.1 \
    --hash=sha256:49f2e1f8051f2885719beb1b77e312b5a27c3e4b60f0b045a388f194d995e068
aiorpcX==0.25.0 \
    --hash=sha256:940fa250ea5e9fd372d4c6acdc20dcb603bd1960ca324759d29864a4aaf64570
aiosignal==1.3.2 \
    --hash=sha256:a8c255c66fafb1e499c9351d0bf32ff2d8a0321595ebac3b93713656d2436f54
async-timeout==5.0.1 \
    --hash=sha256:d9321a7a3d5a6a5e187e824d2fa0793ce379a202935782d555d6e9d2735677d3
attrs==22.2.0 \
    --hash=sha256:c9227bfc2f01993c03f68db37d1d15c9690188323c067c641f1a35ca58185f99
certifi==2025.4.26 \
    --hash=sha256:0a816057ea3cdefcef70270d2c515e4506bbc954f417fa5ade2021213bb8f0c6
dnspython==2.4.2 \
    --hash=sha256:8dcfae8c7460a2f84b4072e26f1c9f4101ca20c071649cb7c34e8b6a93d58984
electrum-aionostr==0.0.11 \
    --hash=sha256:0eeb1d01e55d4bab2c116268965a0b2c11490659e969fd864c453104558bcf81
electrum-ecc==0.0.6 \
    --hash=sha256:6360c71fb08b51d80a455e938f126ba4c790be74ba226461d54d7a3aa6890b89
frozenlist==1.6.0 \
    --hash=sha256:b99655c32c1c8e06d111e7f41c06c29a5318cb1835df23a45518e02a47c63b68
idna==3.10 \
    --hash=sha256:12f65c9b470abda6dc35cf8e63cc574b1c52b11df2c86030af0ac09b01b13ea9
jsonpatch==1.33 \
    --hash=sha256:9fcd4009c41e6d12348b4a0ff2563ba56a2923a7dfee731d004e212e1ee5030c
jsonpointer==3.0.0 \
    --hash=sha256:2b2d729f2091522d61c3b31f82e11870f60b68f43fbc705cb76bf4b832af59ef
multidict==6.4.4 \
    --hash=sha256:69ee9e6ba214b5245031b76233dd95408a0fd57fdb019ddcc1ead4790932a8e8
packaging==25.0 \
    --hash=sha256:d443872c98d677bf60f6a1f2f8c1cb748e8fe762d2bf9d3148b5599295b0fc4f
pip==25.1.1 \
    --hash=sha256:3de45d411d308d5054c2168185d8da7f9a2cd753dbac8acbfa88a8909ecd9077
propcache==0.3.1 \
    --hash=sha256:40d980c33765359098837527e18eddefc9a24cea5b45e078a7f3bb5b032c6ecf
protobuf==3.20.3 \
    --hash=sha256:2e3427429c9cffebf259491be0af70189607f365c2f41c7c3764af6f337105f2
python-socks==2.7.1 \
    --hash=sha256:f1a0bb603830fe81e332442eada96757b8f8dec02bd22d1d6f5c99a79704c550
QDarkStyle==3.2.3 \
    --hash=sha256:0c0b7f74a6e92121008992b369bab60468157db1c02cd30d64a5e9a3b402f1ae
qrcode==8.2 \
    --hash=sha256:35c3f2a4172b33136ab9f6b3ef1c00260dd2f66f858f24d88418a015f446506c
QtPy==2.4.3 \
    --hash=sha256:db744f7832e6d3da90568ba6ccbca3ee2b3b4a890c3d6fbbc63142f6e4cdf5bb
setuptools==80.9.0 \
    --hash=sha256:f36b47402ecde768dbfafc46e8e4207b4360c654f1f3bb84475f0a28628fb19c
typing-extensions==4.13.2 \
    --hash=sha256:e6c81219bd689f51865d9e372991c540bda33a0379d5573cddb9a3a23f7caaef
wheel==0.45.1 \
    --hash=sha256:661e1abd9198507b1409a20c02106d9670b2576e916d58f520316666abca6729
yarl==1.20.0 \
    --hash=sha256:686d51e51ee5dfe62dec86e4866ee0e9ed66df700d55c828a615640adc885307

=== contrib/requirements/requirements.txt ===
qrcode
protobuf>=3.20
qdarkstyle>=3.2
aiorpcx>=0.25.0,<0.26
aiohttp>=3.11.0,<4.0.0
aiohttp_socks>=0.9.2
certifi
jsonpatch
electrum_ecc>=0.0.4,<0.1
electrum_aionostr>=0.0.11,<0.1

# - upper limit to avoid needing hatchling at build-time :/
#   (however newer versions should work at runtime)
attrs>=20.1.0,<23

# Note that we also need the dnspython[DNSSEC] extra which pulls in cryptography,
# but as that is not pure-python it cannot be listed in this file!
# - upper limit to avoid needing hatchling at build-time :/
#   (however newer versions should work at runtime)
dnspython>=2.2,<2.5

=== debian/changelog ===
electrum (4.6.2+dfsg-2) unstable; urgency=medium

  * debian/control:  Move python3-setuptools from Build-Depends-Indep to
    Build-Depends to fix Salsa CI build source.

 -- Soren Stoutner <soren@debian.org>  Wed, 05 Nov 2025 11:56:56 -0700

electrum (4.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/python3-aiorpcx.patch, applied upstream.
  * Remove debian/electrum.lintian-overrides, no longer needed.
  * Add debian/source/lintian-overrides and add overrides for:
    - maintainer-manual-page
    - very-long-line-length-in-source-file
  * debian/patches/Use-system-JavaScript-files.patch:  Fix failing hunk.
  * debian/control:
    - Remove Build-Depends-Indep on:
      - libsecp256k1-dev, which is no longer needed with the introduction of
        python-electrum-ecc.
      - pyqt5-dev-tools and python3-pyqt5.qtmultimedia, which are no longer
        needed with the transition to Qt6.
      - python3-pyqt6.qtmultimedia and python3-pyqt6.qtquick, which are no
        longer needed with the new upstream release.
    - Remove obsolete Build-Depends-Indep version constraints:
      - python3-aiohttp-socks (>= 0.8.4)
      - python3-protobuf (>= 3.20)
    - Remove electrum Depends on:
      - python3-pyqt5
    - Remove electrum and python3-electrum Suggests for:
      - python3-btchip, support dropped upstream.
    - Move python3-pyqt6 from Recommends to Depends for electrum.
    - Add Build-Depends-Indep on:
      - libprotobuf-dev
      - python3-electrum-aionostr
      - python3-electrum-ecc
    - Remove python3-electrum Depends on ${libsecp256k1dep}
  * debian/copyright:
    - Remove the newly-included electrum/gui/fonts/PTMono*, which are released
      under the OFL 1.1, but appear to not have available source.
    - Remove the pre-generated KeepKey protobuf files.  They will be
      re-generated in debian/rules during build.
    - Remove electrum/gui/qml/fonts/* from Files-Excluded, as they are no longer
      packaged upstream.
    - Refresh for new upstream release.
  * debian/electrum.1:  Update man page for new upstream release.
  * debian/lrc:  Exclude debian/copyright, which is falsely detected as
    OFL-1.1-RFN.
  * debian/python3-electrum.lintian-overrides:
    - Add package-contains-documentation-outside-usr-share-doc override for
      plugins/timelock_recovery/intro.txt.
    - Add image-file-in-usr-lib overrides for images that need to be in
      usr/lib/python3/dist-packages.
    - Add repeated-path-segment overrides.
  * debian/README.Debian:  Remove reference to the now-defunct python3-btchip
    in the Ledger hardware wallet section.
  * debian/rules:
    - Ignore the new test_qml_qetransactionlistmodel.py, which only applies to
      Android.
    - Generate the KeepKey protobuf files during build.
    - Remove the new keepkeylib COPYING file shipped upstream.
    - Remove two new README.md files shipped upstream.
    - Remove two new .gitignore files shipped upstream.
    - Remove the source .proto files and the script used to generate them
      in the Debian package.
    - Remove the script used to update the translations in the Debian
      package.
    - Remove the example scripts directory.
    - Remove override_dh_gencontrol, which is no longer needed with the switch
      from depending directly on libsecp256k1 to depending on
      python3-electrum-ecc.
  * debian/watch:
    - Rewrite from version 4 to version 5.
    - Change the Repacksuffix from +ds to +dfsg to reflect the exclusion of the
      PTMono fonts.

 -- Soren Stoutner <soren@debian.org>  Thu, 30 Oct 2025 12:03:04 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Priority: optional
 # libprotobuf-dev and protobuf-compiler is used to compile protobuf files.
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3
+               dh-sequence-python3,
+               python3-setuptools
 Build-Depends-Indep: libprotobuf-dev,
                      protobuf-compiler,
                      python3,
@@ -27,7 +28,6 @@
                      python3-pycryptodome,
                      python3-qrcode,
                      python3-serial,
-                     python3-setuptools,
                      python3-pytest <!nocheck>
 Homepage: https://electrum.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git

=== debian/watch ===
Version: 5

Source: https://download.electrum.org/@ANY_VERSION@/
Matching-Pattern: Electrum-sourceonly-@ANY_VERSION@\.tar\.gz
Dversionmangle: auto
Pgpsigurlmangle: s/$/.ThomasV.asc/
Repacksuffix: +dfsg

## electrum 4.7.0+dfsg

=== contrib/requirements/requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 certifi
 jsonpatch
 electrum_ecc>=0.0.4,<0.1
-electrum_aionostr>=0.0.11,<0.1
+electrum_aionostr>=0.1.0,<0.2
 
 # - upper limit to avoid needing hatchling at build-time :/
 #   (however newer versions should work at runtime)

=== debian/changelog ===
electrum (4.7.0+dfsg-1) unstable; urgency=medium

  * Remove debian/patches/* as the only patch was used for the payserver, which
    is no longer shipped as part of electrum.
  * Remove debian/python3-electrum.links:  These links were all used by the
    payserver.
  * debian/source/lintian-overrides:  Update line numbers from some
    very-long-line-length-in-source-file overrides.
  * debian/control:
    - Add version constraints to the following existing Build-Depends-Indep:
      - python3-aiorpcx (>= 0.25.0).
      - python3-electrum-aionostr (>= 0.1.0).
    - Add Build-Depends-Indep on:
      - python3-pyqt6.qtquick <!nocheck>
      - python3-pytest-xdist <!nocheck>
    - Remove python3-electrum Depends on the following packages, which were only
      needed by the payserver:
      - libjs-jquery
      - libjs-jquery-ui
      - libjs-jquery-ui-theme-ui-lightness
      - node-qrcode-generator
    - Change electrum Depends from python3-pyqt6 to python3-pyqt6.qtquick.
    - Bump Standards-Version from 4.7.2 to 4.7.3, removing the now-redundant
      "Priority: optional" field.
  * debian/copyright:
    - Bump my copyright years to be 2022-2026.
    - Remove the following two entries from Files-Excluded, as the payserver is
      no longer included in the upstream tarball.
      - electrum/plugins/payserver/www/vendor/jquery-*
      - electrum/plugins/payserver/www/vendor/qrcode.js
    - Remove entry for debian/patches/*.
  * debian/electrum.1:  Add the export_lightning_preimage command.
  * debian/python3-electrum.lintian-overrides:  Remove the payserver overrides.
  * debian/rules:
    - Spawn 4 threads for testing.
    - Ignore tests/test_qml_qeconfig.py.
    - Remove entries relating to the payserver.

 -- Soren Stoutner <soren@debian.org>  Fri, 30 Jan 2026 14:50:29 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders: Soren Stoutner <soren@debian.org>
 Section: utils
-Priority: optional
 # libprotobuf-dev and protobuf-compiler is used to compile protobuf files.
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -12,14 +11,14 @@
                      python3,
                      python3-aiohttp,
                      python3-aiohttp-socks,
-                     python3-aiorpcx,
+                     python3-aiorpcx (>= 0.25.0),
                      python3-attr,
                      python3-bitstring,
                      python3-cbor2,
                      python3-certifi,
                      python3-cryptography,
                      python3-dnspython,
-                     python3-electrum-aionostr,
+                     python3-electrum-aionostr (>= 0.1.0),
                      python3-electrum-ecc,
                      python3-jsonpatch,
                      python3-pbkdf2,
@@ -28,17 +27,19 @@
                      python3-pycryptodome,
                      python3-qrcode,
                      python3-serial,
-                     python3-pytest <!nocheck>
+                     python3-pyqt6.qtquick <!nocheck>,
+                     python3-pytest <!nocheck>,
+                     python3-pytest-xdist <!nocheck>
 Homepage: https://electrum.org/
 Vcs-Git: https://salsa.debian.org/cryptocoin-team/electrum.git
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/electrum
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 
 Package: electrum
 Architecture: all
 Depends: python3-electrum (= ${binary:Version}),
-         python3-pyqt6,
+         python3-pyqt6.qtquick,
          ${misc:Depends},
          ${python3:Depends}
 # fonts-adobe-sourcesans3 provides SourceSans3, which replaces the excluded electrum/plugins/revealer/SourceSansPro-Bold.otf.  It is only used by the Revealer plugin.
@@ -82,11 +83,7 @@
 Package: python3-electrum
 Architecture: all
 Section: python
-Depends: libjs-jquery,
-         libjs-jquery-ui,
-         libjs-jquery-ui-theme-ui-lightness,
-         node-qrcode-generator,
-         python3-cryptography,
+Depends: python3-cryptography,
          ${misc:Depends},
          ${python3:Depends}
 # python3-matplotlib is required to plot the transaction history.

=== debian/rules ===
#!/usr/bin/make -f

# Spawn 4 threads for testing.
# Ignore tests that don't apply to the Debian packaging.
# QML is used for the Android GUI.
export PYBUILD_TEST_ARGS = -n 4 \
	--ignore tests/test_qml_qeconfig.py \
	--ignore tests/test_qml_types.py \
	--ignore tests/test_qml_qetransactionlistmodel.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	# Generate paymentrequest_pb2.py from paymentrequest.proto.
	contrib/generate_payreqpb2.sh

	# Generate the KeepKey protobuff files.
	electrum/plugins/keepkey/keepkeylib/device-protocol/build_pb.sh

override_dh_installchangelogs:
	# Move RELEASE-NOTES to changelog.
	dh_installchangelogs RELEASE-NOTES

execute_after_dh_auto_install:
	# Remove redundant license files whose information has been copied to debian/copyright.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/distutils/LICENSE
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/LICENSE.txt
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/COPYING

	# Remove the unnecessary plugin README files.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/lnwire/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/locale/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/README
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/coldcard/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/jade/jadepy/README.md
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/README.md


	# Remove QML, which is only used for Android.
	rm -r debian/tmp/usr/lib/python3*/dist-packages/electrum/gui/qml/

	# Remove upstream cruft.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/locale/.gitignore
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/.gitignore

	# Remove the source protobuf files (compiled in execute_before_dh_auto_build above).
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/paymentrequest.proto
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/device-protocol/exchange.proto
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/device-protocol/messages.proto
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/device-protocol/types.proto

	# Remove bundled executable in the python directory.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/electrum

	# Remove the script used to update the translation files.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/locale/update.py

	# Remove the script used to compile the keepkeylib protobuf files.
	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/device-protocol/build_pb.sh

	# Remove the example scripts.  <https://github.com/spesmilo/electrum/issues/10291>
	rm -r debian/tmp/usr/lib/python3*/dist-packages/electrum/scripts/*

## electrum 4.7.0+dfsg2

=== contrib/deterministic-build/requirements.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
     --hash=sha256:0a816057ea3cdefcef70270d2c515e4506bbc954f417fa5ade2021213bb8f0c6
 dnspython==2.4.2 \
     --hash=sha256:8dcfae8c7460a2f84b4072e26f1c9f4101ca20c071649cb7c34e8b6a93d58984
-electrum-aionostr==0.0.11 \
-    --hash=sha256:0eeb1d01e55d4bab2c116268965a0b2c11490659e969fd864c453104558bcf81
+electrum-aionostr==0.1.0 \
+    --hash=sha256:3774f8e8312388272e10851a869c9f4d3d4a54d8d564851c36e2dc40297bec84
 electrum-ecc==0.0.6 \
     --hash=sha256:6360c71fb08b51d80a455e938f126ba4c790be74ba226461d54d7a3aa6890b89
 frozenlist==1.6.0 \

=== debian/changelog ===
electrum (4.7.0+dfsg2-1) unstable; urgency=medium

  * Add debian/electrum.NEWS to explain the pyperclip transition.
  * debian/clean:  Remove the following new files generated at build time from
    .proto files (closes: #1044268):
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/exchange_pb2.py
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/messages_pb2.py
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/types_pb2.py
  * debian/control:  Add Suggests for python3-ledger-bitcoin and
    python3-pyperclip.
  * debian/copyright:
    - Exclude electrum/_vendor/pyperclip.
    - Remove pyperclip stanza.
  * debian/README.Debian:
    - Add a TEXT GUI section informing users of the need to install
      python3-pyperclip.
    - Update the Ledger wallet section to recommend installation of the new
      python3-ledger-bitcoin package.
    - Improve the text for the BitBox hardware wallet.
  * debian/rules:  Remove deletion of pyperclip/LICENSE.txt and
    pyperclip/README.md.

 -- Soren Stoutner <soren@debian.org>  Fri, 13 Feb 2026 11:22:40 -0700

=== debian/control ===
--- 
+++ 
@@ -46,12 +46,16 @@
 # fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.  It is only used by the Revealer plugin.
 # python3-cbor2 is ued by Jade hardware wallets.
 # python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
+# python3-ledger-bitcoin is used by the Ledger hardware wallet.
+# python3-pyperclip is used by the text GUI (electrum -g text).
 # python3-serial is ued by Jade hareware wallets.
 # trezor is used by Trezor hardware wallets.
 Suggests: fonts-adobe-sourcesans3,
           fonts-dejavu-core,
           python3-cbor2,
           python3-hid,
+          python3-ledger-bitcoin,
+          python3-pyperclip,
           python3-serial,
           trezor
 Description: Easy to use Bitcoin client
@@ -94,13 +98,15 @@
 # fonts-dejavu-core provides the excluded electrum/plugins/revealer/DejaVuSansMono-Bold.ttf.
 # python3-cbor2 is ued by Jade hardware wallets.
 # python3-hid (hidapi) is used by Digital BitBox, also known as BitBox01 (and other wallets, but it is automatically pulled in by their main packages).
-# python3-serial is ued by Jade hareware wallets.
+# python3-ledger-bitcoin is used by the Ledger hardware wallet.
+# python3-serial is used by Jade hareware wallets.
 # trezor is used by Trezor hardware wallets.
 Suggests: electrum,
           fonts-adobe-sourcesans3,
           fonts-dejavu-core,
           python3-cbor2,
           python3-hid,
+          python3-ledger-bitcoin,
           python3-serial,
           trezor
 Description: Easy to use Bitcoin client - Python module

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,9 @@
 execute_after_dh_auto_install:
 	# Remove redundant license files whose information has been copied to debian/copyright.
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/distutils/LICENSE
-	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/LICENSE.txt
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/keepkey/keepkeylib/COPYING
 
 	# Remove the unnecessary plugin README files.
-	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/_vendor/pyperclip/README.md
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/lnwire/README.md
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/locale/README.md
 	rm debian/tmp/usr/lib/python3*/dist-packages/electrum/plugins/README
